View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000581Ecere SDKidepublic2010-12-07 02:412013-05-19 22:15
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000581: Things go bad when adding same project twice in workspace
Description- Open project
- Add project to workspace again (it shouldn't let you)
- Remove it from worskpace
- Opening a file in the project crashes (Reusing freed memory? Shouldn't crash!)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000421)
jerome (administrator)
2010-12-08 05:00

Crash fix:

Added revision 176 to E:\newroot\sdk\ide\src\project\Project.ec
(0000422)
jerome (administrator)
2010-12-08 05:10

Preventing adding project fix:

Added revision 163 to E:\newroot\sdk\ide\src\ide.ec

- Issue History
Date Modified Username Field Change
2010-12-07 02:41 jerome New Issue
2010-12-08 05:00 jerome Note Added: 0000421
2010-12-08 05:10 jerome Note Added: 0000422
2010-12-08 05:10 jerome Status new => resolved
2010-12-08 05:10 jerome Fixed in Version => 0.44 pre-release 2
2010-12-08 05:10 jerome Resolution open => fixed
2010-12-08 05:10 jerome Assigned To => jerome
2012-03-08 15:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 18:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker